#include <stdio.h>
#include <stdlib.h>

#ifndef CONFIG_G
#include "config.h"
#endif


struct url
{
    char *hostname,
         *request,
         *url;
    size_t hostname_len,
           request_len,
           url_len;
};

struct http_request
{
    char *url,
         *cookie,
         *postdata,
         *injection_param,
         *injection_param_value,
         *auth_base64,
         *query_append;
    int  method;
    unsigned short int port;
    unsigned int delay;
};

/* Prototipi */
int socket_connect(const char* hostname, unsigned short int port);
void socket_close(int sd);
char *http_request(const char* http_req, struct configuration *conf);
